/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __BADGE_PRIVATE_H__
#define __BADGE_PRIVATE_H__

#include <system_info.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define BADGE_FEATURE "http://tizen.org/feature/badge"
#define CHECK_BADGE_FEATURE() \
	do { \
		bool is_supported = false; \
		if (!system_info_get_platform_bool(BADGE_FEATURE, &is_supported)) { \
			if (is_supported == false) { \
				LOGE("[%s] feature is disabled", BADGE_FEATURE); \
				return BADGE_ERROR_NOT_SUPPORTED; \
			} \
		} \
	} while (0)

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __BADGE_PRIVATE_H__ */
